DWBEM(1)

NAME
dwbem - dwb extension manager

SYNOPSIS

dwbem [OPTIONS]

DESCRIPTION

dwbem is a command line tool that handles extensions for dwb.

OPTIONS

-a, --list-all
    List all available extensions that can be handled by dwbem, if an extension is installed it will be indicated with an i, if it is disabled it will be indicated with a d.

-b, --bind
    When used together with -i the extension will be loaded with extensions.bind instead of extensions.load, i.e. it is possible to bind a shortcut for enabling/disabling the extension on the fly.

-B extension, --setbind extension
    Edit configuration of extension, the extension will be loaded with extensions.bind, i.e. it is possible to bind a shortcut for enabling/disabling the extension on the fly, see also -L.

-c extension, --config extension
    Show configuration for extension extension.

-d extension, --disable extension
    Disable extension, the extension will still be installed and the configuration will be kept.

-e extension, --enable extension
    Enable an extension that was previously disabled with -d.

-E extension, --edit extension
    Edit configuration of extension with an editor, the EDITOR environment variable needs to be set for this option.

-i extension, --install extension
    Install extension. If it is a local extension that was installed together with dwb the extension will not be downloaded, only the default configuration will be set. Note that reinstalling an already installed extension will overwrite the configuration with the default configuration.

-I extension, --info extension
    Show information about extension.

-l, --list
    List installed extensions handled by dwbem, if an extension is disabled it will indicated with a d.

-L extension, --setload extension
    Edit configuration for extension. The extension will be loaded with extensions.load, see also -B.

-n, --no-config
    Don’t use a configuration in the loader script, use $XDG_CONFIG_HOME/dwb/extensionrc instead. The extension will simply be loaded with extensions.load("extension");. This option can be combined with -i, -B or -L. If combined with -i it will be applied to all installed extensions.

-N, --no-confirm
    Can be combined with -i, -u, -U, -L or -B. When set most questions are skipped. When combined with -i an existing configuration will be overwritten with the default configuration. When combined with -u or -U the check for changed configurations is skipped, when combined with -L or -B editing configuration is skipped.

-r extension, --remove extension
    Remove an extension. If it is a remote extension the extension will be deleted. This option also discards the configuration.

-p extension, --proxy extension
    HTTP-proxy to use, also overrides the environment variables https_proxy and http_proxy.

-u, --upgrade
    Update installed extensions.

-U extension, --update extension
    Update extension, the update will be forced. It is also useful to check if the configuration has been changed after using --upgrade in combination with --no-confirm.

--archive
    Create, unpack or manipulate extension archives, use dwbem --archive h for detailed information.

ENVIRONMENT VARIABLES

dwbem expects the environment variables EDITOR and DIFF_VIEWER to be set, if they are unset vim and vimdiff are used respectively. EDITOR needs to be set if the configuration is edited or a new extension is installed, DIFF_VIEWER needs to be set if extensions are updated.

SEE ALSO

dwb(1) dwb-js(7)